#version 410

out vec4 FragColor;

in vec3 worldNormal;
in vec3 cameraNormal;

void main()
{
    vec3 norm = normalize(cameraNormal);
    norm = (norm + vec3(1,1,1)) * 0.5;
    FragColor = clamp(vec4(norm, 1), 0.0, 1.0);
}
