#version 330 core

in vec2 uv_MainTex;

uniform sampler2D _Alpha_Map0;
uniform bool      is_Alpha_Map0;

void main()
{             
    // gl_FragDepth = gl_FragCoord.z;
    if(!is_Alpha_Map0)
        return;
    vec4 alpha_tex = texture(_Alpha_Map0, uv_MainTex);
    float Alpha = alpha_tex.r;
    if(Alpha < 0.1)
        discard;
}