#version 330 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 v2TexCoordsIn;

out vec2 uv_MainTex;

uniform mat4 m_model;
uniform mat4 m_lightSpaceMatrix0;

void main()
{
    gl_Position = m_lightSpaceMatrix0 * m_model * vec4(aPos, 1.0);
    uv_MainTex = v2TexCoordsIn;
}
