#version 410 core

uniform sampler2D _Diffuse_Map0;
uniform bool is_Diffuse_Map0;

uniform vec4 m_color;

in vec2 v2TexCoord;
out vec4 outputColor;

void main()
{
   outputColor = is_Diffuse_Map0 ? texture(_Diffuse_Map0, v2TexCoord) : vec4(1,1,1,1);
   if(outputColor.r > 0.5 && outputColor.g > 0.5 && outputColor.b > 0.5) //hack to remove white background
      discard;
   outputColor = m_color + outputColor * 0.1;
}
